Loading...
Searching...
No Matches
BALL::VIEW::InputDeviceDriver Class Referenceabstract

`#include <BALL/VIEW/INPUT/inputDeviceDriver.h>`

Inheritance diagram for BALL::VIEW::InputDeviceDriver:

## Public Member Functions

| InputDeviceDriver (QWidget *reciever)
virtual | ~InputDeviceDriver ()
virtual bool | setUp ()=0
virtual bool | tearDown ()=0
void | setEnabled (bool enabled)
bool | isEnabled ()
void | setReceiver (Scene *s)
QWidget * | getReceiver ()

## Protected Member Functions

void | emitPositionChange (double x, double y, double z, double a, double b, double c)
void | emitPositionChange (double x, double y, double z, double q1, double q2, double q3, double q4)
void | emitHeadChange (double x, double y, double z, double q1, double q2, double q3, double q4)

## Detailed Description

Definition at line 18 of file inputDeviceDriver.h.

## Constructor & Destructor Documentation

## InputDeviceDriver()

BALL::VIEW::InputDeviceDriver::InputDeviceDriver | ( | QWidget * | reciever | ) |

## ~InputDeviceDriver()

virtual BALL::VIEW::InputDeviceDriver::~InputDeviceDriver | ( |  | ) |

virtual

## Member Function Documentation

## emitHeadChange()

void BALL::VIEW::InputDeviceDriver::emitHeadChange | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | q1,
|  | double | q2,
|  | double | q3,
|  | double | q4 )

protected

## emitPositionChange() [1/2]

void BALL::VIEW::InputDeviceDriver::emitPositionChange | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | a,
|  | double | b,
|  | double | c )

protected

## emitPositionChange() [2/2]

void BALL::VIEW::InputDeviceDriver::emitPositionChange | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | q1,
|  | double | q2,
|  | double | q3,
|  | double | q4 )

protected

## getReceiver()

QWidget * BALL::VIEW::InputDeviceDriver::getReceiver | ( |  | ) |

## isEnabled()

bool BALL::VIEW::InputDeviceDriver::isEnabled | ( |  | ) |

inline

Definition at line 28 of file inputDeviceDriver.h.

## setEnabled()

void BALL::VIEW::InputDeviceDriver::setEnabled | ( | bool | enabled | ) |

## setReceiver()

void BALL::VIEW::InputDeviceDriver::setReceiver | ( | Scene * | s | ) |

## setUp()

virtual bool BALL::VIEW::InputDeviceDriver::setUp | ( |  | ) |

pure virtual

Implemented in BALL::VIEW::FakeDriver.

## tearDown()

virtual bool BALL::VIEW::InputDeviceDriver::tearDown | ( |  | ) |

pure virtual

Implemented in BALL::VIEW::FakeDriver.